package com.bankaudit.model;

import java.io.Serializable;
import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

/**
 * @author amit.patel
 *
 */
@Entity
@Table(name="maint_country")
public class MaintCountry implements Serializable{

/*	Table: maint_country
	------------------------

	Column Information
	----------------------

	Field                   Type          Collation          Null    Key     Default            Extra                        Privileges                       Comment  
	----------------------  ------------  -----------------  ------  ------  -----------------  ---------------------------  -------------------------------  ---------
	country_alpha3_code     varchar(3)    latin1_swedish_ci  NO      PRI     (NULL)                                          select,insert,update,references           
	country_numeric_code    varchar(3)    latin1_swedish_ci  NO              (NULL)                                          select,insert,update,references           
	country_name            varchar(200)  latin1_swedish_ci  NO              (NULL)                                          select,insert,update,references           
	ccy_cd                  varchar(3)    latin1_swedish_ci  YES             (NULL)                                          select,insert,update,references           
	isd_code                varchar(4)    latin1_swedish_ci  YES             (NULL)                                          select,insert,update,references           
	gmt_plus_minus          varchar(1)    latin1_swedish_ci  YES             (NULL)                                          select,insert,update,references           
	gmt_offset_hrs          varchar(2)    latin1_swedish_ci  YES             (NULL)                                          select,insert,update,references           
	gmt_offset_mins         varchar(2)    latin1_swedish_ci  YES             (NULL)                                          select,insert,update,references           
	status                  varchar(20)   latin1_swedish_ci  NO              (NULL)                                          select,insert,update,references           
	maker                   varchar(20)   latin1_swedish_ci  NO              (NULL)                                          select,insert,update,references           
	maker_timestamp         timestamp     (NULL)             NO              CURRENT_TIMESTAMP  on update CURRENT_TIMESTAMP  select,insert,update,references           
	checker                 varchar(20)   latin1_swedish_ci  YES             (NULL)                                          select,insert,update,references           
	checker_timestamp       timestamp     (NULL)             YES             (NULL)                                          select,insert,update,references           
	businessdate_timestamp  timestamp     (NULL)             YES             (NULL)                                          select,insert,update,references           
	sysdate_timestamp    */
	
	@Id
	@Column(name="country_alpha3_code")
	private String countryAlpha3Code;
	
	@Column(name="country_numeric_code")
	private String countryNumericCode;
	
	@Column(name="country_name")
	private String countryName;
	
	@Column(name="ccy_cd")
	private String ccyCd;
	
	@Column(name="isd_code")
	private String isdCode;
	
	@Column(name="gmt_plus_minus")
	private String gmtPlusMinus;
	
	@Column(name="gmt_offset_hrs")
	private String gmtOffsetHrs;
	
	@Column(name="gmt_offset_mins")
	private String gmtOffsetMins;
	
	@Column(name="status")
	private String status;
	
	@Column(name="maker",updatable=false)
	private String maker;
	
	@Column(name="maker_timestamp",updatable=false)
	private Date makerTimestamp;
	
	@Column(name="checker")
	private String checker;
	
	@Column(name="checker_timestamp")
	private Date checkerTimestamp;
	
	@Column(name="businessdate_timestamp")
	private Date businessdateTimestamp;
	
	@Column(name="sysdate_timestamp")
	private Date sysdateTimestamp;

	/**
	 * @return the countryAlpha3Code
	 */
	public String getCountryAlpha3Code() {
		return countryAlpha3Code;
	}

	/**
	 * @param countryAlpha3Code the countryAlpha3Code to set
	 */
	public void setCountryAlpha3Code(String countryAlpha3Code) {
		this.countryAlpha3Code = countryAlpha3Code;
	}

	/**
	 * @return the countryNumericCode
	 */
	public String getCountryNumericCode() {
		return countryNumericCode;
	}

	/**
	 * @param countryNumericCode the countryNumericCode to set
	 */
	public void setCountryNumericCode(String countryNumericCode) {
		this.countryNumericCode = countryNumericCode;
	}

	/**
	 * @return the countryName
	 */
	public String getCountryName() {
		return countryName;
	}

	/**
	 * @param countryName the countryName to set
	 */
	public void setCountryName(String countryName) {
		this.countryName = countryName;
	}

	/**
	 * @return the ccyCd
	 */
	public String getCcyCd() {
		return ccyCd;
	}

	/**
	 * @param ccyCd the ccyCd to set
	 */
	public void setCcyCd(String ccyCd) {
		this.ccyCd = ccyCd;
	}

	/**
	 * @return the isdCode
	 */
	public String getIsdCode() {
		return isdCode;
	}

	/**
	 * @param isdCode the isdCode to set
	 */
	public void setIsdCode(String isdCode) {
		this.isdCode = isdCode;
	}

	/**
	 * @return the gmtPlusMinus
	 */
	public String getGmtPlusMinus() {
		return gmtPlusMinus;
	}

	/**
	 * @param gmtPlusMinus the gmtPlusMinus to set
	 */
	public void setGmtPlusMinus(String gmtPlusMinus) {
		this.gmtPlusMinus = gmtPlusMinus;
	}

	/**
	 * @return the gmtOffsetHrs
	 */
	public String getGmtOffsetHrs() {
		return gmtOffsetHrs;
	}

	/**
	 * @param gmtOffsetHrs the gmtOffsetHrs to set
	 */
	public void setGmtOffsetHrs(String gmtOffsetHrs) {
		this.gmtOffsetHrs = gmtOffsetHrs;
	}

	/**
	 * @return the gmtOffsetMins
	 */
	public String getGmtOffsetMins() {
		return gmtOffsetMins;
	}

	/**
	 * @param gmtOffsetMins the gmtOffsetMins to set
	 */
	public void setGmtOffsetMins(String gmtOffsetMins) {
		this.gmtOffsetMins = gmtOffsetMins;
	}

	/**
	 * @return the status
	 */
	public String getStatus() {
		return status;
	}

	/**
	 * @param status the status to set
	 */
	public void setStatus(String status) {
		this.status = status;
	}

	/**
	 * @return the maker
	 */
	public String getMaker() {
		return maker;
	}

	/**
	 * @param maker the maker to set
	 */
	public void setMaker(String maker) {
		this.maker = maker;
	}

	/**
	 * @return the makerTimestamp
	 */
	public Date getMakerTimestamp() {
		return makerTimestamp;
	}

	/**
	 * @param makerTimestamp the makerTimestamp to set
	 */
	public void setMakerTimestamp(Date makerTimestamp) {
		this.makerTimestamp = makerTimestamp;
	}

	/**
	 * @return the checker
	 */
	public String getChecker() {
		return checker;
	}

	/**
	 * @param checker the checker to set
	 */
	public void setChecker(String checker) {
		this.checker = checker;
	}

	/**
	 * @return the checkerTimestamp
	 */
	public Date getCheckerTimestamp() {
		return checkerTimestamp;
	}

	/**
	 * @param checkerTimestamp the checkerTimestamp to set
	 */
	public void setCheckerTimestamp(Date checkerTimestamp) {
		this.checkerTimestamp = checkerTimestamp;
	}

	/**
	 * @return the businessdateTimestamp
	 */
	public Date getBusinessdateTimestamp() {
		return businessdateTimestamp;
	}

	/**
	 * @param businessdateTimestamp the businessdateTimestamp to set
	 */
	public void setBusinessdateTimestamp(Date businessdateTimestamp) {
		this.businessdateTimestamp = businessdateTimestamp;
	}

	/**
	 * @return the sysdateTimestamp
	 */
	public Date getSysdateTimestamp() {
		return sysdateTimestamp;
	}

	/**
	 * @param sysdateTimestamp the sysdateTimestamp to set
	 */
	public void setSysdateTimestamp(Date sysdateTimestamp) {
		this.sysdateTimestamp = sysdateTimestamp;
	}

	
	
}
